﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PR4CyclicAlgorithms
{
    public partial class CyclicAlgorithms : Form
    {
        /// <summary>
        /// Метод EquationSolution
        /// рассчитывает циклическое уравнение и выводит его на экран
        /// </summary>
        /// <param name="x">Первое значение x</param>
        /// <param name="xk">Последнее значение x</param>
        /// <param name="dx">Шаг значений</param>
        /// <param name="b">Переменная b</param>
        public void EquationSolution(double x, double xk, double dx, double b)
        {
            double y = 0;
            for (double i = x; i <= xk; i += dx)
            {
                y = 0.8 * Math.Pow(10, -5) * Math.Pow((Math.Pow(i, 3) + Math.Pow(b, 3)), 7/6);
                tbConclusion.Text += $"x={i}; y = {y}" + Environment.NewLine;
            }
        }
        double x = 0, xk = 0, dx = 0, b = 0;
        /// <summary>
        /// Метод CyclicAlgorithms
        /// Инициализирует компоненты
        /// </summary>
        public CyclicAlgorithms()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод btnCalculate_Click
        /// присваивает значения полей в переменные
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void btnCalculate_Click(object sender, EventArgs e)
        {
            try
            {
                x = Convert.ToDouble(tbX0.Text);
                xk = Convert.ToDouble(tbXK.Text);
                dx = Convert.ToDouble(tbDX.Text);
                b = Convert.ToDouble(tbB.Text);
            }
            catch
            {
                tbX0.Text = "Ошибка";
                tbXK.Text = "Ошибка";
                tbDX.Text = "Ошибка";
                tbB.Text = "Ошибка";
                return;
            }
            tbConclusion.Text = "Работу выполнил ст. Романов" + Environment.NewLine;
            EquationSolution( x,  xk,  dx,  b);
        }
    }
}
