﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using static System.Windows.Forms.VisualStyles.VisualStyleElement;

namespace PR7._1FunctionGraphsWF
{
    /// <summary>
    /// Класс FunctionGraphs
    /// выполняет задание 18 варианта:
    /// Постройте график функции для своего варианта
    /// из практической работы №4 
    /// Реализация циклических алгоритмов УП. 02.02.
    /// </summary>
    public partial class FunctionGraphs : Form
    {
        //Объявление переменных для дальнейшей работы с ними
        double x0 = 0, xk = 0, dx = 0, b = 0; 
        /// <summary>
        /// Метод EquationSolution
        /// получает значения из полей ввода
        /// расчитывает значения графа
        /// и изменяет разметку координатных осей
        /// </summary>
        public void EquationSolution()
        {
            try
            {
                x0 = Convert.ToDouble(tbX0.Text); //Минимальное значение
                xk = Convert.ToDouble(tbXK.Text); //Максимальное значение
                dx = Convert.ToDouble(tbDX.Text); //Шаг функции
                b = Convert.ToDouble(tbB.Text); //Дополнительная переменная
            }
            catch
            {
                tbX0.Text = "Ошибка";
                tbXK.Text = "Ошибка";
                tbDX.Text = "Ошибка";
                tbB.Text = "Ошибка";
                return;
            }
            int count = (int)Math.Ceiling((xk - x0) / dx) + 1;
            double[] arrayX = new double[count];
            double[] arrayY = new double[count];
            for (int i = 0; i < count; i++)
            {
                arrayX[i] = x0 + dx * i;
                arrayY[i] = 0.8 * Math.Pow(10, -5) * Math.Pow((Math.Pow(x0, 3) + Math.Pow(b, 3)), 7 / 6);
            }
            chtFunctionGraphs.ChartAreas[0].AxisX.Minimum = x0;
            chtFunctionGraphs.ChartAreas[0].AxisX.Maximum = xk;
            chtFunctionGraphs.ChartAreas[0].AxisX.MajorGrid.Interval = dx;
            chtFunctionGraphs.Series[0].Points.DataBindXY(arrayX, arrayY);
        }
        /// <summary>
        /// Метод CyclicAlgorithms
        /// Инициализирует компоненты
        /// </summary>
        public FunctionGraphs()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод btnCalculate_Click
        /// обращается к методу EquationSolution
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void btnCalculate_Click(object sender, EventArgs e)
        {
            EquationSolution();
        }
    }
}
