﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PR8GraphicArtsWF
{
    /// <summary>
    /// Создать рисунок по заданию
    /// </summary>
    public partial class GraphicArts : Form
    {
        //Объявление цветов и точек фигур
        #region ForDraw
        SolidBrush penBlue = new SolidBrush(Color.FromArgb(0, 43, 255));
        SolidBrush penViolet = new SolidBrush(Color.FromArgb(170, 0, 255));
        SolidBrush penYellow = new SolidBrush(Color.FromArgb(255, 221, 0));
        SolidBrush penPink = new SolidBrush(Color.FromArgb(255, 0, 191));
        SolidBrush penGreen = new SolidBrush(Color.FromArgb(85, 255, 0));
        SolidBrush penOrange = new SolidBrush(Color.FromArgb(255, 85, 0));
        Point[] pointsBlue = new Point[3];
        Point[] pointsViolet = new Point[3];
        Point[] pointsYellow = new Point[3];
        Point[] pointsPink = new Point[3];
        Point[] pointsGreen = new Point[3];
        Point[] pointsOrange = new Point[3];
        #endregion
        /// <summary>
        /// Метод CreationPoints
        /// Присваивает координаты точек фигурам
        /// </summary>
        public void CreationPoints()
        {
            pointsBlue[0] = new Point(250, 375);
            pointsBlue[1] = new Point(125, 175);
            pointsBlue[2] = new Point(100, 275);
            pointsViolet[0] = new Point(100, 300);
            pointsViolet[1] = new Point(100, 125);
            pointsViolet[2] = new Point(200, 100);
            pointsYellow[0] = new Point(50, 125);
            pointsYellow[1] = new Point(275, 125);
            pointsYellow[2] = new Point(225, 50);
            pointsPink[0] = new Point(200, 25);
            pointsPink[1] = new Point(325, 225);
            pointsPink[2] = new Point(350, 125);
            pointsGreen[0] = new Point(250, 275);
            pointsGreen[1] = new Point(325, 275);
            pointsGreen[2] = new Point(360, 100);
            pointsOrange[0] = new Point(350, 275);
            pointsOrange[1] = new Point(150, 275);
            pointsOrange[2] = new Point(225, 350);
        }
        /// <summary>
        /// Метод CyclicAlgorithms
        /// Инициализирует компоненты
        /// </summary>
        public GraphicArts()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод GraphicArts_Load
        /// Обращается к методу CreationPoints
        /// </summary>
        private void GraphicArts_Load(object sender, EventArgs e)
        {
            CreationPoints();
        }
        /// <summary>
        /// Метод GraphicArts_Paint
        /// Рисует фигуры
        /// </summary>
        private void GraphicArts_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            g.FillPolygon(penOrange, pointsOrange);
            g.FillPolygon(penBlue, pointsBlue);
            g.FillPolygon(penViolet, pointsViolet);
            g.FillPolygon(penYellow, pointsYellow);
            g.FillPolygon(penPink, pointsPink);
            g.FillPolygon(penGreen, pointsGreen);
        }
    }
}
