﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _2LinearAlgorithms
{
    /// <summary>
    /// Класс Algorithm
    /// для решения уравнения
    /// </summary>
    public partial class Algorithm : Form
    {
        double a, b, x;
        /// <summary>
        /// Метод AlgorithmSolution
        /// Рассчитывает значение уравнения
        /// </summary>
        /// <param name="a">Переменная из tbA</param>
        /// <param name="b">Переменная из tbB</param>
        /// <param name="x">Переменная из tbX</param>
        /// <returns></returns>
        public string AlgorithmSolution(double x, double y, double z)
        {
            double w = Math.Round(Math.Pow(Math.Abs(Math.Cos(x) - Math.Cos(y)), (1 + 2 * Math.Pow(Math.Sin(y), 2))) * (1 + z + (Math.Pow(z, 2) / 2) + (Math.Pow(z, 3) / 3) + (Math.Pow(z, 4) / 4)), 4);
            return w.ToString("0.00");
        }

        /// <summary>
        /// Метод Algorithm
        /// Инициализирует компоненты
        /// </summary>
        public Algorithm()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод btnCalculate_Click
        /// Обращается к методу AlgorithmSolution
        /// и выводит ответ в поле tbAnswer
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void btnCalculate_Click(object sender, EventArgs e)
        {
            try
            {
                x = Convert.ToDouble(tbX.Text);
                b = Convert.ToDouble(tbB.Text);
                a = Convert.ToDouble(tbA.Text);
            }
            catch
            {
                tbX.Text = "Ошибка";
                tbB.Text = "Ошибка";
                tbA.Text = "Ошибка";
            }
            tbAnswer.Text = AlgorithmSolution(a, b, x);
        }
    }
}
